package es.luisbelloch.kai;

import org.apache.avro.mapred.AvroKey;
import org.apache.avro.mapred.AvroValue;
import org.apache.hadoop.io.NullWritable;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;

public class FoldMapper
        extends Mapper<AvroKey, NullWritable, AvroKey, AvroValue> {

    @Override
    protected void map(AvroKey entity, NullWritable ignored, Context context)
            throws IOException, InterruptedException {
        context.write(new AvroKey(""), new AvroValue(entity.datum()));
    }
}
