package playground.demos

object ScalaPlayground {
  def compress[T](l : List[T], merge: (T,T) => T) : List[T] = l match {
    case head::next::tail if head == next => compress(merge(head,next)::tail, merge)
    case head::tail => head::compress(tail, merge)
    case nil => List()
  }

  def main(args: Array[String]) {
    val a: Int = 2
    val ops = List(1, 2, 2, 3, 4)
    compress[Int](ops, _ + _) map println
  }

  def shareClassGroupKeyExtractorLambda(): (ShareClass) => String =
    s => s.currency
}
