package playground.samples.poblacion;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Reducer;

import java.io.IOException;

public class PoblacionPorProvinciaReducer extends Reducer<Text, IntWritable, Text, IntWritable> {

    @Override
    protected void reduce(Text key, Iterable<IntWritable> values, Context context)
            throws IOException, InterruptedException {
        int partialTotal = 0;
        for (IntWritable value : values)
            partialTotal += value.get();
        context.write(key, new IntWritable(partialTotal));
    }
}
