package es.luisbelloch.kai

import scala.reflect.ClassTag

object FlatLand {

  class FlatDataFlow[T](other: DataFlow[_])
    extends DataFlow[T](other, new FoldFunc(null, null), null, null)

  implicit def dataFlowListToDataFlow[T](flow: DataFlow[List[T]]): DataFlow[T] =
    new FlatDataFlow[T](flow)

  class FlattableDataFlow[T](flow: DataFlow[List[T]]) {
    def flatten(): DataFlow[T] = flow
  }

  implicit def dataFlowTravelsToFlatland[E](flow: DataFlow[List[E]]) =
    new FlattableDataFlow(flow)
}