package playground.demos

import scala.collection.JavaConversions._
import es.luisbelloch.kai._

object PlaygroundFactory {
  def someFilter()  = new DataFlow[ShareClass]() filter { s => s.currency == "USD" }
  def otherFilter() = new DataFlow[ShareClass]() filter { s => s.name.startsWith("A") }

  def operations[T](flow: DataFlow[T]): java.util.Collection[Mutator] = flow.operations

  def firstOperationUsingReflect(): String = someFilter().operations.head.reflect()

  def mapperAnon()  = new DataFlow[ShareClass]() transform { s => new { val a = 1d; val curr = s.currency} }
  def firstMapperOps(): String = mapperAnon().operations.head.reflect()
}
